From: "Justin Lecher" <jlec@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pyro/
Date: Wed, 9 Sep 2015 09:49:40 +0000 (UTC) [thread overview]
Message-ID: <1441792172.8e6a2679235b5c3c00f1577feba1a97a7c7779f5.jlec@gentoo> (raw)
commit: 8e6a2679235b5c3c00f1577feba1a97a7c7779f5
Author: Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Wed Sep 9 08:25:26 2015 +0000
Commit: Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Wed Sep 9 09:49:32 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8e6a2679
dev-python/pyro: Version Bump
Package-Manager: portage-2.2.20.1
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>
dev-python/pyro/Manifest | 1 +
dev-python/pyro/pyro-4.39.ebuild | 77 ++++++++++++++++++++++++++++++++++++++++
2 files changed, 78 insertions(+)
diff --git a/dev-python/pyro/Manifest b/dev-python/pyro/Manifest
index 4ce71be..8181f84 100644
--- a/dev-python/pyro/Manifest
+++ b/dev-python/pyro/Manifest
@@ -1,2 +1,3 @@
DIST Pyro-3.16.tar.gz 298769 SHA256 1bed508453ef7a7556b51424a58101af2349b662baab7e7331c5cb85dbe7e578 SHA512 d0e4ae93120a6566a2b06fa52b66e20daa972324a9d57d639ca68171e1e6e5c412250f7e6af3fc307631d2270be3731ea5898ad35819dc0369e6a2d8341d5965 WHIRLPOOL 0d7efcead6bc7a31a690c012a4213c835d43ca932e461ab25ddb2e12636970de2c3da6feb4915385bdadaf2261558d2041d5e6dad9899f11e450aa0a065460da
DIST Pyro4-4.25.tar.gz 295993 SHA256 ac2b0123badcb76c63eb716fcd95e0ee4021d345b5db05fda19253c59e39b384 SHA512 9a112e679a304d250549701d9a1baef0df6d3ea6f1eec559e7c433eab7ab09155c9ae440817f844be073f69dc8bf93836d48930b1d91311eaf6ab7e91c0a4faf WHIRLPOOL aa767569948af1cf222b95fa114d4dee08b601296f8be1ed9bce86502f1c9eeedf05930215da192ab9d237d740283f88a5f7efe1f53291acd1b90b51099a1801
+DIST Pyro4-4.39.tar.gz 496566 SHA256 39c6ca7f86b0f0bebfeada687a5a8b99f66470a52b0f815195ae63c683266f24 SHA512 ac303401abe997b7ce0914a804538dcee9195bbe3fe1d07cf18be0592cbb4dbd161413e8d7a696a8dc1e29ff64fe98877ea1fa9811d9961340441cf414f31d98 WHIRLPOOL fc4377552f9e5f5666671d909b7c071095933625baea891535c976f735dab8f3d1b5b3f0132be2fcf9a003024d874a88ddd092b127127c0376807a1d2894d393
diff --git a/dev-python/pyro/pyro-4.39.ebuild b/dev-python/pyro/pyro-4.39.ebuild
new file mode 100644
index 0000000..3ca6320
--- /dev/null
+++ b/dev-python/pyro/pyro-4.39.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_3,3_4} pypy )
+
+inherit distutils-r1
+
+MY_PN="Pyro4"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Advanced and powerful Distributed Object Technology system written entirely in Python"
+HOMEPAGE="http://www.xs4all.nl/~irmen/pyro/ https://pypi.python.org/pypi/Pyro4 https://github.com/irmen/Pyro4"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="4"
+KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc examples test"
+
+RDEPEND="!dev-python/pyro:0
+ >=dev-python/serpent-1.11[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ dev-python/coverage[${PYTHON_USEDEP}]
+ dev-python/nose[${PYTHON_USEDEP}]
+ )"
+
+S="${WORKDIR}/${MY_P}"
+DISTUTILS_IN_SOURCE_BUILD=1
+
+python_prepare_all() {
+ sed \
+ -e '/sys.path.insert/a sys.path.insert(1,"PyroTests")' \
+ -i tests/run_testsuite.py || die
+
+ # Disable tests requiring network connection.
+ sed \
+ -e "s/testBCstart/_&/" \
+ -e "s/testDaemonPyroObj/_&/" \
+ -e "s/testLookupAndRegister/_&/" \
+ -e "s/testMulti/_&/" \
+ -e "s/testRefuseDottedNames/_&/" \
+ -e "s/testResolve/_&/" \
+ -e "s/testBCLookup/_&/" \
+ -i tests/PyroTests/test_naming.py || die
+ sed \
+ -e "s/testOwnloopBasics/_&/" \
+ -e "s/testStartNSfunc/_&/" \
+ -i tests/PyroTests/test_naming2.py || die
+
+ sed \
+ -e "s/testServerConnections/_&/" \
+ -e "s/testServerParallelism/_&/" \
+ -i tests/PyroTests/test_server.py || die
+
+ sed \
+ -e "s/testBroadcast/_&/" \
+ -e "s/testGetIP/_&/" \
+ -e "s/testGetIpVersion[46]/_&/" \
+ -i tests/PyroTests/test_socket.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ cd "${S}"/tests || die
+ ${PYTHON} -E run_testsuite.py || die
+}
+
+python_install_all() {
+ use doc && HTML_DOCS=( docs/. )
+ use examples && local EXAMPLES=( examples/. )
+ distutils-r1_python_install_all
+}
next reply other threads:[~2015-09-09 9:49 UTC|newest]
Thread overview: 37+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-09-09 9:49 Justin Lecher [this message]
-- strict thread matches above, loose matches on Subject: below --
2015-10-19 16:29 [gentoo-commits] repo/gentoo:master commit in: dev-python/pyro/ Justin Lecher
2015-12-26 15:12 Amadeusz Piotr Żołnowski
2015-12-26 15:12 Amadeusz Piotr Żołnowski
2016-02-28 7:32 Matt Thode
2016-03-17 11:56 Agostino Sarubbo
2017-01-01 12:43 Agostino Sarubbo
2017-03-13 21:48 Amadeusz Piotr Żołnowski
2017-03-16 9:18 Zac Medico
2017-04-01 10:35 Michael Weber
2017-04-03 21:19 Michael Weber
2017-05-02 19:15 Michał Górny
2017-05-29 17:52 Amadeusz Piotr Żołnowski
2017-11-30 19:02 Thomas Deutschmann
2017-12-02 20:55 Mike Gilbert
2017-12-28 14:03 Sergei Trofimovich
2018-03-20 21:11 Michał Górny
2019-04-09 7:05 Matthew Thode
2019-06-29 8:15 Michał Górny
2019-06-30 22:26 Zac Medico
2019-07-21 10:00 Sergei Trofimovich
2019-10-02 14:25 Michał Górny
2019-10-31 21:29 Matthew Thode
2019-11-19 18:36 Matthew Thode
2020-02-02 15:34 Michał Górny
2020-02-02 15:34 Michał Górny
2020-02-16 6:29 Michał Górny
2020-03-28 18:26 Michał Górny
2020-04-30 9:45 Michał Górny
2020-04-30 15:56 Agostino Sarubbo
2020-04-30 15:58 Agostino Sarubbo
2020-04-30 16:00 Agostino Sarubbo
2020-05-04 11:44 Michał Górny
2020-07-09 8:59 Agostino Sarubbo
2020-07-09 13:59 Michał Górny
2020-07-09 13:59 Michał Górny
2021-05-23 11:36 Michał Górny
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1441792172.8e6a2679235b5c3c00f1577feba1a97a7c7779f5.jlec@gentoo \
--to=jlec@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox